{ Automated test classes for Spider Object Database }
unit AutoTest;

interface

uses
    TestFramework; { for TTestCase }

type

TSpiderOdbTestcase = class(TTestCase)
protected
    { returns a directory that may be used to create files for testing }
    function TestDbPath : String; virtual;

    procedure Setup; override;
    procedure Teardown; override;
end;

{--------------------------------------------------------------------------}

implementation

uses
    SysUtils,      { for Exception }
    OdbMisc;       { for ExtractCommandLineValue }

{--------------------------------------------------------------------------}

function TSpiderOdbTestcase.TestDbPath : String;
var
    Value : String;
begin
    if not ExtractCommandLineValue( 'DbPath=', Value ) then
        Value := ExtractFilePath(ParamStr(0));

    Result := AddBackSlashToPath(Value);
end;

{--------------------------------------------------------------------------}

procedure TSpiderOdbTestcase.Setup;
begin
    inherited Setup;
end;

{--------------------------------------------------------------------------}

procedure TSpiderOdbTestcase.Teardown;
begin
    inherited Destroy;
end;

{--------------------------------------------------------------------------}


end.
